enet: _ENetHost Struct Reference

enet

- Main Page
- Related Pages
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
_ENetHost Struct Reference

An ENet host for communicating with peers. More...

`#include <enet.h>`

## Data Fields
ENetSocket | socket
ENetAddress | address
| Internet address of the host.
enet_uint32 | incomingBandwidth
| downstream bandwidth of the host
enet_uint32 | outgoingBandwidth
| upstream bandwidth of the host
enet_uint32 | bandwidthThrottleEpoch
enet_uint32 | mtu
enet_uint32 | randomSeed
int | recalculateBandwidthLimits
ENetPeer * | peers
| array of peers allocated for this host
size_t | peerCount
| number of peers allocated for this host
size_t | channelLimit
| maximum number of channels allowed for connected peers
enet_uint32 | serviceTime
ENetList | dispatchQueue
int | continueSending
size_t | packetSize
enet_uint16 | headerFlags
ENetProtocol | commands [ENET_PROTOCOL_MAXIMUM_PACKET_COMMANDS]
size_t | commandCount
ENetBuffer | buffers [ENET_BUFFER_MAXIMUM]
size_t | bufferCount
ENetChecksumCallback | checksum
| callback the user can set to enable packet checksums for this host
ENetCompressor | compressor
enet_uint8 | packetData [2][ENET_PROTOCOL_MAXIMUM_MTU]
ENetAddress | receivedAddress
enet_uint8 * | receivedData
size_t | receivedDataLength
enet_uint32 | totalSentData
| total data sent, user should reset to 0 as needed to prevent overflow
enet_uint32 | totalSentPackets
| total UDP packets sent, user should reset to 0 as needed to prevent overflow
enet_uint32 | totalReceivedData
| total data received, user should reset to 0 as needed to prevent overflow
enet_uint32 | totalReceivedPackets
| total UDP packets received, user should reset to 0 as needed to prevent overflow
ENetInterceptCallback | intercept
| callback the user can set to intercept received raw UDP packets
size_t | connectedPeers
size_t | bandwidthLimitedPeers
size_t | duplicatePeers
| optional number of allowed peers from duplicate IPs, defaults to ENET_PROTOCOL_MAXIMUM_PEER_ID
size_t | maximumPacketSize
| the maximum allowable packet size that may be sent or received on a peer
size_t | maximumWaitingData
| the maximum aggregate amount of buffer space a peer may use waiting for packets to be delivered

## Detailed Description

No fields should be modified unless otherwise stated.

See Also
  enet_host_create()
  enet_host_destroy()
  enet_host_connect()
  enet_host_service()
  enet_host_flush()
  enet_host_broadcast()
  enet_host_compress()
  enet_host_compress_with_range_coder()
  enet_host_channel_limit()
  enet_host_bandwidth_limit()
  enet_host_bandwidth_throttle()

The documentation for this struct was generated from the following file:

- enet.h